国際送料見積もり API

POST /v1/fulfillment/shipping/quotes — 軽量な計算機です。金額は 目安 です。

互換エイリアス: POST /v1/fulfillment/shipments/freight/estimate(同一動作。新規連携は本パスを推奨)。

Quotes are indicative. Exact freight is returned when you create a shipment after parcels are inbound.

estimate と preview の違い

shipping/quotespreview
タイミング入庫荷物の前、または入庫荷物なし荷物が倉庫に入庫した後
入力国/郵便番号 + 重量/サイズparcel_nos[] + 完全な受取人情報 + チャネル
出力quotes[] の参考価格単一の freight / services / total

リクエスト本文

{
  "destination": {
    "country_code": "US",
    "region": "California",
    "postal_code": "90001"
  },
  "weight_kg": 2.05,
  "length_cm": 30,
  "width_cm": 20,
  "height_cm": 10,
  "attributes": [
    "general"
  ]
}
  • weight_kg および/または length_cm + width_cm + height_cm (少なくとも1つ)
  • 任意の attributes[] (例: general, battery)
  • parcel_nos なし、完全な番地住所なし

レスポンス

quotes[] には shipping_channel_code, shipping_channel_name, freight, total (fen) が含まれます。フィールド一覧: response models

商品属性 {#item-attributes}

GET /v1/fulfillment/shipments/item-attributes — 見積もりで使用できる有効な attributes[] コード (例: general, battery)。

Get Support

Need integration help? Contact Developer Support at support@hiobuy.com · Response within 1–2 business days

Email support